> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# My user

> This endpoint lets you retrieve all the information about your user



## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /user/me
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /user/me:
    get:
      tags:
        - Users
      summary: My user
      description: This endpoint lets you retrieve all the information about your user
      operationId: getMyUser
      parameters:
        - $ref: '#/components/parameters/query_display_business_ids'
        - name: org_id_custom_fields_permissions
          in: query
          description: >-
            If you have access to more than one organization, you can specify
            the org_id of the organization for which you want to retrieve the
            `permissions` value.
          required: false
          schema:
            type: integer
          example: 42
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/UserWithFeatures'
                  - type: object
                    properties:
                      permissions:
                        description: >
                          The permissions the user has access to.


                          For more information about permissions, see the
                          [Custom Roles
                          guide](/guides/api/guides/custom-roles-and-permissions).
                        type: array
                        items:
                          type: string
                        example:
                          - access_help_center
                          - access_intercom
                          - account_facebook_manage
                          - account_google_manage
                          - bulk_modification
                          - business_edit
                          - business_edit_address
                          - business_edit_address2
                          - business_edit_attributes
                          - business_edit_attributes_url
                          - business_edit_categories
                          - business_edit_city
                          - business_edit_code
                          - business_edit_coordinates
                          - business_edit_country
                          - business_edit_description_long
                          - business_edit_description_short
                          - business_edit_email
                          - business_edit_facebook_url
                          - business_edit_fax
                          - business_edit_full_name
                          - business_edit_menus
                          - business_edit_more_hours
                          - business_edit_name
                          - business_edit_open_hours
                          - business_edit_phone_number
                          - business_edit_photo_cover
                          - business_edit_photo_logo
                          - business_edit_photo_secondary
                          - business_edit_services
                          - business_edit_siret
                          - business_edit_specific_hours
                          - business_edit_status
                          - business_edit_twitter_url
                          - business_edit_website_url
                          - business_edit_zipcode
                          - business_management_create_business
                          - business_management_import_business
                          - business_management_manage_groups
                          - custom_fields_edit
                          - custom_fields_edit__Decimal
                          - custom_fields_edit__Photos de voyage
                          - custom_fields_see_disabled_fields
                          - diffusion
                          - feedback_access_global_dashboard
                          - feedback_management
                          - feedback_result_reply
                          - jim_configuration
                          - jim_configuration_manage
                          - lead_collection_manage
                          - listing_status
                          - listing_status_manage
                          - messages
                          - messages_answer_conversation_custom
                          - messages_answer_conversation_facebook
                          - messages_answer_conversation_instagram
                          - messages_answer_conversation_sms
                          - messages_answer_conversation_whatsapp
                          - messages_conversation_assign
                          - messages_conversation_close
                          - messages_conversation_reopen
                          - messages_conversation_starters
                          - messages_conversation_starters_manage
                          - messages_lead_collection_read
                          - messages_templates_manage
                          - messages_templates_use
                          - messages_whatsapp_account
                          - messages_whatsapp_account_manage
                          - messages_widget
                          - messages_widget_manage
                          - partner_connection
                          - partner_connection_manage
                          - posts
                          - posts_manage
                          - posts_manage_bulk
                          - presence_analytics
                          - review_analytics
                          - review_analytics_download
                          - review_booster
                          - review_booster_edit_expeditor_name
                          - review_booster_manage_sms_template
                          - review_booster_share_link
                          - review_booster_show_qr_code
                          - review_download
                          - review_flag
                          - review_manage_auto_reply_with_comments
                          - review_manage_auto_reply_without_comments
                          - review_manage_state
                          - review_management
                          - review_reply_negative_reviews
                          - review_reply_neutral_reviews
                          - review_reply_positive_reviews
                          - review_reply_suggestion
                          - review_reply_template_manage
                          - review_reply_template_use
                          - review_tags_assign
                          - review_tags_manage
                          - user_management
                          - user_management_manage
        '401':
          $ref: '#/components/responses/401'
components:
  parameters:
    query_display_business_ids:
      in: query
      name: display_business_ids
      schema:
        type: boolean
        default: true
      required: false
      description: >
        - If `true`, response includes `business_ids`; a list of businesses the
        user has access to.

        - If `false`, response does *not* include `business_ids`.


        ⚠️ Note: The `business_ids` list is only populated for users with the
        `BUSINESS_MANAGER` role.
  schemas:
    UserWithFeatures:
      description: Partoo App User
      type: object
      properties:
        id:
          $ref: '#/components/schemas/UserId'
        org_id:
          $ref: '#/components/schemas/UserOrgId'
        first_name:
          $ref: '#/components/schemas/UserFirstName'
        last_name:
          $ref: '#/components/schemas/UserLastName'
        email:
          $ref: '#/components/schemas/UserEmail'
        lang:
          $ref: '#/components/schemas/Lang'
        sidebar_pages:
          $ref: '#/components/schemas/SidebarPages'
          deprecated: true
        available_features:
          description: The features the user has access to.
          type: array
          items:
            $ref: '#/components/schemas/Feature'
        business_ids:
          description: >
            Populated only for BUSINESS_MANAGER role.


            List of businesses ids the user can access.


            Note: For a reliable way of getting all the businesses the user can
            access, use
            [operation/searchBusinesses](/api-reference/businesses/search-for-businesses).
          type: array
          items:
            $ref: '#/components/schemas/BusinessId'
        accesses:
          $ref: '#/components/schemas/accesses'
        role:
          $ref: '#/components/schemas/Role'
        provider:
          $ref: '#/components/schemas/UserProvider'
        status:
          $ref: '#/components/schemas/UserStatus'
        disabled:
          description: The state of the User account.
          type: boolean
          example: false
        created_at:
          description: Timestamp representing the date the user was created
          type: number
          example: 1615299414
        shadow_user_id:
          description: Used internally at Partoo
          type: string
          example: ''
        custom_role:
          $ref: '#/components/schemas/CustomRoleApiId'
        sso_only:
          $ref: '#/components/schemas/SsoOnly'
    UserId:
      description: User id
      type: string
      example: 5309c3a237bbc544d8e26737
    UserOrgId:
      description: User organization id
      type: integer
      example: 42
    UserFirstName:
      description: User first name
      type: string
      example: Perceval
    UserLastName:
      description: User last name
      type: string
      example: de Galles
    UserEmail:
      description: User email
      type: string
      format: email
      example: perceval@kaamelott.com
    Lang:
      description: Available language in the application
      type: string
      enum:
        - fr
        - en
        - es
        - it
        - pt-br
        - de
        - ar
        - nl
        - pl
        - cs
        - ca
        - sk
        - pt
        - lv
        - ro
        - bg
        - hu
      example: fr
    SidebarPages:
      type: array
      description: |
        List of features the user can access from the sidebar.
      items:
        allOf:
          - $ref: '#/components/schemas/SidebarPagesFeatureEnum'
        type: string
        description: Sidebar page feature name
    Feature:
      allOf:
        - $ref: '#/components/schemas/FeatureEnum'
      type: string
      description: Business feature name
    BusinessId:
      description: Business id
      type: string
      example: 5409c35a97bbc544d8e26737
    accesses:
      description: >
        List of (list of Group ID).


        Accesses of the users for the new groups system, only for
        `GROUP_MANAGER` users.


        See [the Groups and Sections
        description](/guides/api/resources/organizations/groups)
      type: array
      items:
        type: array
        items:
          type: integer
      example:
        - - 1
          - 2
        - - 1
          - 3
    Role:
      description: User role in the application
      type: string
      enum:
        - PROVIDER
        - ORG_ADMIN
        - ORG_MANAGER
        - GROUP_MANAGER
        - BUSINESS_MANAGER
        - PUBLISHER
      example: BUSINESS_MANAGER
    UserProvider:
      description: User provider label
      type: string
      example: partoo
    UserStatus:
      description: User status in the application
      type: string
      enum:
        - active
        - invited
      example: active
    CustomRoleApiId:
      description: >
        Optional API identifier of a custom role to assign to the user. The
        value must match the `api_id` of one of the custom roles available to
        your organization.


        If no custom role is given, users with the role `GROUP_MANAGER` or
        `BUSINESS_MANAGER` will automatically be assigned to the default
        built-in custom role associated with their role.


        For more information about custom roles, see [Managing User Permissions
        with Custom Roles](/guides/api/guides/custom-roles-and-permissions)
      type: string
      example: my_custom_role
    SsoOnly:
      description: >
        Prevent the user from connecting directly from the Partoo connection
        page.


        This field is available for users whose organization has defined an SSO
        configuration.


        This field can be edited by a user with the role `ORG_ADMIN` or
        `PROVIDER`.
      type: boolean
      default: false
    SidebarPagesFeatureEnum:
      enum:
        - bulk_modification
        - diffusion
        - feedback_management
        - messages
        - posts
        - presence_analytics
        - review_analytics
        - review_invite
        - review_management
    FeatureEnum:
      enum:
        - diffusion
        - feedback_management
        - messages
        - posts
        - review_invite
        - review_management
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````